Get the MDM control type catalog
curl --request GET \
--url https://api.getprimo.com/mdm-controls/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getprimo.com/mdm-controls/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getprimo.com/mdm-controls/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"catalog": [
{
"name": "<string>",
"description": "<string>",
"canBeActivated": true,
"reasons": [],
"canOnlyHaveGlobalTarget": true,
"inputSchema": {}
}
]
}MdmControls
Get the MDM control type catalog
Return the catalog of all creatable MDM control types with their name, description, platform, category, activation status, and JSON Schema for the configuration payload. Intended for AI/MCP agents to discover which control types exist and how to configure them.
GET
/
mdm-controls
/
catalog
Get the MDM control type catalog
Was this page helpful?
⌘I